ERACS Python Interface v0.1.6


About

These webpages describe the ERACS Python Interface API which can be used to run ERACS calculations programmatically using the Python programming language.

Authors

Dominic Edhouse, Clive Wickham, Kevin Davey

Supported Python Versions

  • Python 3.5+ 32-bit

Note

The interface was developed with Python 3.5, Python 3.6, and Python 3.7. The Interface may work with older versions of Python, but for best reliability use up-to-date versions of both Python and the Interface. For more information on setting up Python and the API, view Python Setup.

Supported Virtual Environment Versions

  • Python 3.7+ 32-bit

The Python Interface setup wizard uses venv to create the virtual environment. Venv differs between Python versions, and Python 3.7+ is recommended to ensure the ERACS Python Editor works.

ERACS Website